Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository.support
Class CompositeFlowExecutionKey

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionKey
          org.springframework.webflow.execution.repository.support.CompositeFlowExecutionKey

All Implemented Interfaces:
  java.io.Serializable

    public class CompositeFlowExecutionKey

extends FlowExecutionKey

A flow execution key that consists of two parts:

1. A executionId, identifying a logical `FlowExecution` that is running.
2. A snapshotId, identifying a physical flow execution snapshot that can be restored.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`CompositeFlowExecutionKey(java.io.Serializable executionId, java.io.Serializable snapshotId)` Create a new composite flow execution key given the composing parts.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.io.Serializable` | `getExecutionId()` Returns the execution id part of this key.
`static java.lang.String` | `getFormat()` Returns a string description of the format of this key.
`java.io.Serializable` | `getSnapshotId()` Returns the snapshot id part of this key.
`int` | `hashCode()`
`static java.lang.String[]` | `keyParts(java.lang.String encodedKey)` Helper that splits the string-form of an instance of this class into its "parts" so the parts can be easily parsed.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeFlowExecutionKey

    public CompositeFlowExecutionKey(java.io.Serializable executionId,
                                     java.io.Serializable snapshotId)

  Create a new composite flow execution key given the composing parts.

  Parameters:
    `executionId` - the execution id
    `snapshotId` - the snapshot id

Method Detail

### getExecutionId

    public java.io.Serializable getExecutionId()

  Returns the execution id part of this key.

### getSnapshotId

    public java.io.Serializable getSnapshotId()

  Returns the snapshot id part of this key.

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `FlowExecutionKey`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `FlowExecutionKey`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `FlowExecutionKey`

### getFormat

    public static java.lang.String getFormat()

  Returns a string description of the format of this key.

### keyParts

    public static java.lang.String[] keyParts(java.lang.String encodedKey)
                                       throws BadlyFormattedFlowExecutionKeyException

  Helper that splits the string-form of an instance of this class into its "parts" so the parts can be easily parsed.

  Parameters:
    `encodedKey` - the string-encoded composite flow execution key
  Returns:
    the composite key parts as a String array (executionId = 0, snapshotId = 1)
  Throws:
    `BadlyFormattedFlowExecutionKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD